ConnectionJDBC3Test (jTDS API)
Keywords: net.sourceforge.jtds.test.ConnectionJDBC3Test class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class ConnectionJDBC3Test

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.TestBase
                  net.sourceforge.jtds.test.DatabaseTestCase
                      net.sourceforge.jtds.test.ConnectionJDBC3Test

All Implemented Interfaces:
  junit.framework.Test

public class ConnectionJDBC3Test
extends DatabaseTestCase

JDBC 3.0-only tests for Connection.

Version:
  $Id: ConnectionJDBC3Test.java,v 1.1.2.4 2009/12/30 13:25:54 ickzon Exp $
Author:
  Alin Sinpalean

Nested Class Summary
`static class` | `ConnectionJDBC3Test.testTimerStopHelper` Helper class for test for bug [2871274].

Field Summary

Fields inherited from class net.sourceforge.jtds.test.DatabaseTestCase
``

Fields inherited from class net.sourceforge.jtds.test.TestBase
`con, props`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`ConnectionJDBC3Test(java.lang.String name)`

Method Summary
`void` | `testSavepointRelease()` Test that temporary procedures created within transactions with savepoints which are released are still kept in the procedure cache.
`void` | `testTimerStop()` Test for bug [2871274], TimerThread prevents classloader from being GCed.
`void` | `testUnclosedSocket()` Test for bug [1755448], login failure leaves unclosed sockets.

Methods inherited from class net.sourceforge.jtds.test.DatabaseTestCase
`compareBytes, dropFunction, dropProcedure, dropProcedure, dropTable, getLongString, getLongString, getType, getTypemap`

Methods inherited from class net.sourceforge.jtds.test.TestBase
`compareInputStreams, compareReaders, connect, dump, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionJDBC3Test

    public ConnectionJDBC3Test(java.lang.String name)

Method Detail

### testSavepointRelease

    public void testSavepointRelease()
                              throws java.sql.SQLException

  Test that temporary procedures created within transactions with savepoints which are released are still kept in the procedure cache.

  Throws:
    `java.sql.SQLException`

### testUnclosedSocket

    public void testUnclosedSocket()

  Test for bug [1755448], login failure leaves unclosed sockets.

### testTimerStop

    public void testTimerStop()
                       throws java.lang.Throwable

  Test for bug [2871274], TimerThread prevents classloader from being GCed.

  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009